Index: trunk/ab5.0/abdev/abcompiler32.sln
===================================================================
--- trunk/ab5.0/abdev/abcompiler32.sln	(revision 440)
+++ trunk/ab5.0/abdev/abcompiler32.sln	(revision 461)
@@ -1,33 +1,81 @@
 ﻿
 Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual C++ Express 2005
+# Visual Studio 2005
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "common", "..\jenga\projects\common\common.vcproj", "{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}"
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "BasicCompiler32", "BasicCompiler32\BasicCompiler.vcproj", "{11F0E9AB-EAEC-4616-A9DD-838073342CBB}"
 	ProjectSection(ProjectDependencies) = postProject
-		{996D6B55-6503-4427-84AB-351784EAFB71} = {996D6B55-6503-4427-84AB-351784EAFB71}
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD} = {F01805B6-65B4-4708-88F4-A5E07DEA9FBD}
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "smoothie", "..\jenga\projects\smoothie\smoothie.vcproj", "{996D6B55-6503-4427-84AB-351784EAFB71}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ProjectEditor", "ProjectEditor\ProjectEditor.vcproj", "{DC1B787E-510F-4F7D-8F9A-182600904D83}"
 EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		AB_Debug|Win32 = AB_Debug|Win32
+		AB_Release|Win32 = AB_Release|Win32
 		Debug|Win32 = Debug|Win32
+		English_Rel|Win32 = English_Rel|Win32
 		Release|Win32 = Release|Win32
+		TheText_Debug|Win32 = TheText_Debug|Win32
+		TheText_Release|Win32 = TheText_Release|Win32
+		TheText_Share_Debug|Win32 = TheText_Share_Debug|Win32
+		TheText_Share_Release|Win32 = TheText_Share_Release|Win32
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.AB_Debug|Win32.ActiveCfg = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.AB_Debug|Win32.Build.0 = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.AB_Release|Win32.ActiveCfg = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.AB_Release|Win32.Build.0 = Release(x86)|Win32
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|Win32.ActiveCfg = Debug(x86)|Win32
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|Win32.Build.0 = Debug(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.English_Rel|Win32.ActiveCfg = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.English_Rel|Win32.Build.0 = Release(x86)|Win32
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|Win32.ActiveCfg = Release(x86)|Win32
 		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|Win32.Build.0 = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Debug|Win32.ActiveCfg = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Debug|Win32.Build.0 = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Release|Win32.ActiveCfg = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Release|Win32.Build.0 = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Share_Debug|Win32.ActiveCfg = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Share_Debug|Win32.Build.0 = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Share_Release|Win32.ActiveCfg = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Share_Release|Win32.Build.0 = Release(x86)|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.AB_Debug|Win32.ActiveCfg = Debug|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.AB_Debug|Win32.Build.0 = Debug|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.AB_Release|Win32.ActiveCfg = Release|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.AB_Release|Win32.Build.0 = Release|Win32
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|Win32.ActiveCfg = Debug|Win32
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|Win32.Build.0 = Debug|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.English_Rel|Win32.ActiveCfg = Release|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.English_Rel|Win32.Build.0 = Release|Win32
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|Win32.ActiveCfg = Release|Win32
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|Win32.Build.0 = Release|Win32
-		{996D6B55-6503-4427-84AB-351784EAFB71}.Debug|Win32.ActiveCfg = Debug(x86)|Win32
-		{996D6B55-6503-4427-84AB-351784EAFB71}.Debug|Win32.Build.0 = Debug(x86)|Win32
-		{996D6B55-6503-4427-84AB-351784EAFB71}.Release|Win32.ActiveCfg = Release(x86)|Win32
-		{996D6B55-6503-4427-84AB-351784EAFB71}.Release|Win32.Build.0 = Release(x86)|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Debug|Win32.ActiveCfg = Debug|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Debug|Win32.Build.0 = Debug|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Release|Win32.ActiveCfg = Release|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Release|Win32.Build.0 = Release|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Share_Debug|Win32.ActiveCfg = Debug|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Share_Debug|Win32.Build.0 = Debug|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Share_Release|Win32.ActiveCfg = Release|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Share_Release|Win32.Build.0 = Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.AB_Debug|Win32.ActiveCfg = AB_Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.AB_Debug|Win32.Build.0 = AB_Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.AB_Release|Win32.ActiveCfg = AB_Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.AB_Release|Win32.Build.0 = AB_Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|Win32.ActiveCfg = TheText_Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|Win32.Build.0 = TheText_Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.English_Rel|Win32.ActiveCfg = English_Rel|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.English_Rel|Win32.Build.0 = English_Rel|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|Win32.ActiveCfg = AB_Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|Win32.Build.0 = AB_Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Debug|Win32.ActiveCfg = TheText_Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Debug|Win32.Build.0 = TheText_Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Release|Win32.ActiveCfg = TheText_Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Release|Win32.Build.0 = TheText_Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Share_Debug|Win32.ActiveCfg = TheText_Share_Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Share_Debug|Win32.Build.0 = TheText_Share_Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Share_Release|Win32.ActiveCfg = TheText_Share_Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Share_Release|Win32.Build.0 = TheText_Share_Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
